﻿#if !UNITY_EDITOR
using SatorImaging.AppWindowUtility;
using UnityEngine;

namespace View {
	internal static class DisplaySetup {
		[RuntimeInitializeOnLoadMethod]
		private static void Setup() {
			AppWindowUtility.AlwaysOnTop = true;
			AppWindowUtility.FrameVisibility = false;

			Vector2Int resolution = new(Screen.currentResolution.width, Screen.currentResolution.height);
			Vector2Int newPosition = new(resolution.x - Screen.width, 0);
			Screen.MoveMainWindowTo(Screen.mainWindowDisplayInfo, newPosition);
		}
	}
}
#endif